Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_LibraryObjectData

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectData

All Implemented Interfaces:
  java.io.Serializable, LooselyBoundedCacheable

Direct Known Subclasses:
  S_AttributeData, S_ClassObjectData

    public class S_LibraryObjectData

extends java.lang.Object
implements java.io.Serializable, LooselyBoundedCacheable

The S_LibraryObjectData class is an opaque class used to manage the data for an iFS LIBRARYOBJECT.

See Also:
  Serialized Form
(Published)

Field Summary
`protected AttributeValue[]` | `m_Attributes` The values of the effective attributes of the LIBRARYOBJECT.
`protected java.lang.Long` | `m_ClassId` The class id of the LIBRARYOBJECT.
`protected boolean` | `m_FullySelected` Whether this S_LibraryObjectData is fully selected.
`protected java.lang.Long` | `m_Id` The id of the LIBRARYOBJECT.
`protected long` | `m_Rsn` The resolution sequence number of this S_LibraryObjectData.

Constructor Summary
`S_LibraryObjectData(java.lang.Long id, java.lang.Long classId, AttributeValue[] attributes, boolean fullySelected, S_LibrarySession session)` Constructs an S_LibraryObjectData.

Method Summary
`void` | `added(java.lang.Object id)` Called when an instance is added to the cache.
`boolean` | `canPurge()` Gets whether the item can be purged from the the BoundedCache.
`S_LibraryObjectDataSharedState` | `findOrCreateSharedState()` Gets the shared state, creating it if it doesn't exist.
`S_LibraryObjectDataSharedState` | `findOrCreateSharedState(S_LibraryObjectDataSharedStateFactory ssFactory)` Gets the shared state, creating it if it doesn't exist.
`S_LibraryObjectDataSharedState` | `findOrCreateSharedState(S_LibrarySession session)` Gets the shared state, creating it if it doesn't exist.
`S_LibraryObjectDataSharedState` | `findOrCreateSharedState(S_LibrarySession session, boolean applyMutations)` Gets the shared state, creating it if it doesn't exist.
`S_LibraryObjectDataSharedState` | `findOrCreateSharedState(S_LibrarySession session, S_LibraryObjectDataSharedStateFactory ssFactory, boolean applyMutations)` Gets the shared state, creating it if it doesn't exist.
`AttributeValue` | `getAttribute(java.lang.String name, LibrarySession session)` Gets the value of the specified attribute for the LIBRARYOBJECT represented by this S_LibraryObjectData.
`AttributeValue` | `getAttribute(java.lang.String name, S_LibrarySession session)` Gets the value of the specified attribute for the LIBRARYOBJECT represented by this S_LibraryObjectData.
`AttributeValue[]` | `getAttributes()` Gets the values of the attributes of the LIBRARYOBJECT represented by this S_LibraryObjectData.
`java.lang.Long` | `getClassId()` Gets the class id of LIBRARYOBJECT represented by this S_LibraryObjectData.
`java.lang.Long` | `getId()` Gets the id of LIBRARYOBJECT represented by this S_LibraryObjectData.
`long` | `getRsn()` Gets the resolution sequence number of this S_LibraryObjectData.
`boolean` | `isFullySelected()` Gets whether this S_LibraryObjectData is fully selected.
`void` | `removed(java.lang.Object id)` Called when an instance is removed to the cache.
`void` | `resetSharedState()` Resets the shared state in a course-grained manner.
`void` | `resetSharedState(IfsEvent event)` Resets the shared state because of an event, in a fine-grained manner.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Id

    protected java.lang.Long m_Id

  Description copied from class: `S_LibraryObjectData`
  The id of the LIBRARYOBJECT.

  (Unpublished)

### m_ClassId

    protected java.lang.Long m_ClassId

  Description copied from class: `S_LibraryObjectData`
  The class id of the LIBRARYOBJECT.

  (Unpublished)

### m_Attributes

    protected AttributeValue[] m_Attributes

  Description copied from class: `S_LibraryObjectData`
  The values of the effective attributes of the LIBRARYOBJECT.

  (Unpublished)

### m_FullySelected

    protected boolean m_FullySelected

  Description copied from class: `S_LibraryObjectData`
  Whether this S_LibraryObjectData is fully selected. If fully selected, m_Attributes contains the value of every attribute of the LIBRARYOBJECT.

  (Unpublished)

### m_Rsn

    protected long m_Rsn

  Description copied from class: `S_LibraryObjectData`
  The resolution sequence number of this S_LibraryObjectData. Generated upon S_LibraryObjectData construction. Used as a timestamp-proxy to determine, for example, the order in which two S_LibraryObjectDatas were constructed.

  (Unpublished)

Constructor Detail

### S_LibraryObjectData

    public S_LibraryObjectData(java.lang.Long id,
                               java.lang.Long classId,
                               AttributeValue[] attributes,
                               boolean fullySelected,
                               S_LibrarySession session)
                        throws IfsException

  Constructs an S_LibraryObjectData.

  Parameters:
    `id` - the id of the LIBRARYOBJECT
    `classId` - the class id of the LIBRARYOBJECT
    `attributes` - the values of the effective attributes of the LIBRARYOBJECT
    `fullySelected` - whether `attributes` contains the value of every effective attribute the LIBRARYOBJECT
    `session` - the session
  Throws:
    `IfsException` - (IFS-30000) if the operation fails
  (Unpublished)

Method Detail

### canPurge

    public boolean canPurge()
                     throws IfsException

  Description copied from class: `S_LibraryObjectData`
  Gets whether the item can be purged from the the BoundedCache.

  The caller of this method indicates a desire to purge the object. The implementation should treat this as a purge request, but can return false if the item should not be purged.

  Specified by:
    `canPurge` in interface `LooselyBoundedCacheable`
  Returns:
    whether the item can be purged.
  Throws:
    `IfsException` - if operation fails.

### added

    public void added(java.lang.Object id)

  Description copied from class: `S_LibraryObjectData`
  Called when an instance is added to the cache.

  Specified by:
    `added` in interface `LooselyBoundedCacheable`
  Parameters:
    `id` - the id used for this entry in the cache

### removed

    public void removed(java.lang.Object id)

  Description copied from class: `S_LibraryObjectData`
  Called when an instance is removed to the cache.

  Specified by:
    `removed` in interface `LooselyBoundedCacheable`
  Parameters:
    `id` - the id used for this entry in the cache

### getId

    public java.lang.Long getId()
                         throws IfsException

  Description copied from class: `S_LibraryObjectData`
  Gets the id of LIBRARYOBJECT represented by this S_LibraryObjectData.

  Returns:
    the id
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getClassId

    public java.lang.Long getClassId()
                              throws IfsException

  Description copied from class: `S_LibraryObjectData`
  Gets the class id of LIBRARYOBJECT represented by this S_LibraryObjectData.

  Returns:
    the class id
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getAttributes

    public AttributeValue[] getAttributes()
                                   throws IfsException

  Description copied from class: `S_LibraryObjectData`
  Gets the values of the attributes of the LIBRARYOBJECT represented by this S_LibraryObjectData.

  If `isFullySelected` is `false`, only a subset of the attributes are returned.

  Returns:
    the attributes
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isFullySelected

    public boolean isFullySelected()
                            throws IfsException

  Description copied from class: `S_LibraryObjectData`
  Gets whether this S_LibraryObjectData is fully selected.

  It is fully selected if it has the value of every effective attribute of the LIBRARYOBJECT.

  Returns:
    true if fully selected
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getRsn

    public long getRsn()
                throws IfsException

  Description copied from class: `S_LibraryObjectData`
  Gets the resolution sequence number of this S_LibraryObjectData.

  Returns:
    the RSN
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getAttribute

    public AttributeValue getAttribute(java.lang.String name,
                                       S_LibrarySession session)
                                throws IfsException

  Description copied from class: `S_LibraryObjectData`
  Gets the value of the specified attribute for the LIBRARYOBJECT represented by this S_LibraryObjectData.

  Parameters:
    `name` - the name of the attribute
    `session` - the session
  Returns:
    the value of the attribute, or null if this S_LibraryObjectData is not sufficiently deeply selected to obtain the value of the attribute
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getAttribute

    public AttributeValue getAttribute(java.lang.String name,
                                       LibrarySession session)
                                throws IfsException

  Description copied from class: `S_LibraryObjectData`
  Gets the value of the specified attribute for the LIBRARYOBJECT represented by this S_LibraryObjectData.

  Parameters:
    `name` - the name of the attribute
    `session` - the session
  Returns:
    the value of the attribute, or null if this S_LibraryObjectData is not sufficiently deeply selected to obtain the value of the attribute
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### findOrCreateSharedState

    public final S_LibraryObjectDataSharedState findOrCreateSharedState()

  Description copied from class: `S_LibraryObjectData`
  Gets the shared state, creating it if it doesn't exist.

  Uses the default factory. This variant can be used in bean-side code. This variant does not perform any mutations on the shared state.

  Returns:
    the shared state

### findOrCreateSharedState

    public final S_LibraryObjectDataSharedState findOrCreateSharedState(S_LibraryObjectDataSharedStateFactory ssFactory)

  Description copied from class: `S_LibraryObjectData`
  Gets the shared state, creating it if it doesn't exist.

  This variant can be used in bean-side code. A null factory can be passed.

  Parameters:
    `ssFactory` - the server-side session context
  Returns:
    the shared state

### findOrCreateSharedState

    public final S_LibraryObjectDataSharedState findOrCreateSharedState(S_LibrarySession session)

  Description copied from class: `S_LibraryObjectData`
  Gets the shared state, creating it if it doesn't exist.

  Uses factory defined in server-side session context, and delegates to the variant that takes a shared state factory. This variant does not perform any mutations on the shared state.

  Parameters:
    `session` - the server-side session context
  Returns:
    the shared state

### findOrCreateSharedState

    public final S_LibraryObjectDataSharedState findOrCreateSharedState(S_LibrarySession session,
                                                                        boolean applyMutations)

  Description copied from class: `S_LibraryObjectData`
  Gets the shared state, creating it if it doesn't exist.

  Uses factory defined in server-side session context, and delegates to the variant that takes a shared state factory.

  Parameters:
    `session` - the server-side session context
    `applyMutations` - whether to apply shared state mutations
  Returns:
    the shared state

### findOrCreateSharedState

    public final S_LibraryObjectDataSharedState findOrCreateSharedState(S_LibrarySession session,
                                                                        S_LibraryObjectDataSharedStateFactory ssFactory,
                                                                        boolean applyMutations)

  Description copied from class: `S_LibraryObjectData`
  Gets the shared state, creating it if it doesn't exist.

  Parameters:
    `session` - the server-side session context
    `ssFactory` - the server-side session context
    `applyMutations` - whether to apply shared state mutations
  Returns:
    the shared state

### resetSharedState

    public final void resetSharedState()

  Description copied from class: `S_LibraryObjectData`
  Resets the shared state in a course-grained manner.

  (Unpublished)

### resetSharedState

    public final void resetSharedState(IfsEvent event)

  Description copied from class: `S_LibraryObjectData`
  Resets the shared state because of an event, in a fine-grained manner.

  Parameters:
    `event` - the event that triggered the reset
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD